# Variable meneuse ou suiveuse

## Variable meneuse

Une variable meneuse est une variable qui va guider la longueur d'autre variables (appelé variables suiveuse).

Une variable meneuse est une [variable](../variable/README.md) qui est obligatoirement de type multiple.

Une variable meneuse peut être obligatoire.

Le [mode](../mode.md) par défaut correspond au plus petit mode définit par l'utilisateur des variables suiveuses.

## Variable suiveuse

Une variable suiveuse est une variable donc la longueur n'est pas déterminé par elle-même, mais est identique à celle de la variable meneuse dont elle dépend.

Une variable suiveuse est une variable placer juste derrière une variable meneuse ou une autre variable suiveuse.

L'ordre de définition des variables suiveuses est important.

Cette variable peut être de type multiple. Dans ce cas, pour un index determiné, il est possible de mettre plusieurs valeurs à une même variable.

Une variable suiveuse peut être obligatoire. Cela signifie que lorsqu'une variable meneuse est renseigné, il faut obligatoirement que la variable suiveuse est également une valeur à l'index considéré.
Si aucune valeur n'est définit pour la variable meneuse, aucune valeur n'est a spécifié pour la variable suiveuse.

Le [mode](../mode.md) par défaut d'une variable suiveuse correspond au [mode](../mode.md) de la variable meneuse.

Si une variable meneuse est caché ou désactivé, les variables suiveuses le seront également.

## Définition des variables meneuse et suiveuse

Les variables meneuses et suiveuses doivent dans une famille de type "leadership".

Voici un exemple de définition d'une variable meneuse et de deux variables meneuses :

```xml
<variables>
  <family name="family" leadership='True'>
    <variable name="leader" multi='True'/>
    <variable name="follower1"/>
    <variable name="follower2" multi='True'/>
  </family>
</variables>
```

En YAML :

```yml
variables:
- family:
    name: family
    leadership: true
    variables:
    - variable:
        name: leader
        multi: true
    - variable:
        name: follower1
    - variable:
        name: follower2
        multi: true
```

## Ajout d'une nouvelle variable suiveuse

Pour ajouter, dans un nouveau dictionnaire, une variable suiveuse à notre groupe, rien de plus simple, il suffit définir une ou des nouvelles variables dans la famille :

```xml
<variables>
  <family name="family">
    <variable name="follower3"/>
  </family>
</variables>
```

En YAML :

```yml
variables:
- family:
    name: family
    variables:
    - variable:
        name: follower3
```
