# Patcher un template

Il peut être intéressant de réaliser un patch à un template pour corriger un problème spécifique à notre environnement, sans attendre que le mainteneur du template n'est fait la correction.

Par exemple le template :

```
The value: %%my_value

The extra value: %%example.my_variable_extra
```

Peut être modifié via le patch :

```patch
--- tmpl/example.conf 2021-02-13 19:41:38.677491087 +0100
+++ tmp/example.conf    2021-02-13 20:12:55.525089820 +0100
@@ -1,3 +1,5 @@
 The value: %%my_variable
 
 The extra value: %%example.my_variable_extra
+
+Add by a patch
```

Le fichier généré ressemblera alors à cela :

```
The value: my_value

The extra value: my_value_extra

Add by a patch
```

Deux choses importantes à savoir sur les patchs :

- le nom du patch est obligatoire le nom du template source + ".patch"
- la deuxième ligne doit toujours commencer par "+++ tmp/" (tmp étant le nom du répertoire mis dans la configuration) + le nom du template source
